{% load static %}
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" href="/static/home/css/styles.css" />
  <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
  <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
  <title>Translator</title>
</head>

<body>
  <div class="container-wraper">
    <div class="space">
      <h1>{{message}}</h1>
      <h1>{{ total_operations }} Words</h1>
      <h2>{{ remaining_operations }} remaining Words</h2>
    </div>

    <form action="" method="post">

      {% csrf_token %}
      <div class="container">
        <div class="row selects">
          <div class="select">
            <select id="from-language" name="from-language">
              <option value="BG" {% if "BG" in from_language %} selected {% endif %}>Bulgarian</option>
              <option value="CS" {% if "CS" in from_language %} selected {% endif %}>Czech</option>
              <option value="DA" {% if "DA" in from_language %} selected {% endif %}>Danish</option>
              <option value="DE" {% if "DE" in from_language %} selected {% endif %}>German</option>
              <option value="EL" {% if "EL" in from_language %} selected {% endif %}>Greek</option>
              <option value="EN" {% if "EN" in from_language %} selected {% endif %}>English</option>
              <option value="ES" {% if "ES" in from_language %} selected {% endif %}>Spanish</option>
              <option value="ET" {% if "ET" in from_language %} selected {% endif %}>Estonian</option>
              <option value="FI" {% if "FI" in from_language %} selected {% endif %}>Finnish</option>
              <option value="FR" {% if "FR" in from_language %} selected {% endif %}>French</option>
              <option value="HU" {% if "HU" in from_language %} selected {% endif %}>Hungarian</option>
              <option value="ID" {% if "ID" in from_language %} selected {% endif %}>Indonesian</option>
              <option value="IT" {% if "IT" in from_language %} selected {% endif %}>Italian</option>
              <option value="JA" {% if "JA" in from_language %} selected {% endif %}>Japanese</option>
              <option value="KO" {% if "KO" in from_language %} selected {% endif %}>Korean</option>
              <option value="LT" {% if "LT" in from_language %} selected {% endif %}>Lithuanian</option>
              <option value="LV" {% if "LV" in from_language %} selected {% endif %}>Latvian</option>
              <option value="NB" {% if "NB" in from_language %} selected {% endif %}>Norwegian</option>
              <option value="NL" {% if "NL" in from_language %} selected {% endif %}>Dutch</option>
              <option value="PL" {% if "PL" in from_language %} selected {% endif %}>Polish</option>
              <option value="PT" {% if "PT" in from_language %} selected {% endif %}>Portuguese</option>
              <option value="RO" {% if "RO" in from_language %} selected {% endif %}>Romanian</option>
              <option value="RU" {% if "RU" in from_language %} selected {% endif %}>Russian</option>
              <option value="SK" {% if "SK" in from_language %} selected {% endif %}>Slovak</option>
              <option value="SL" {% if "SL" in from_language %} selected {% endif %}>Slovenian</option>
              <option value="SV" {% if "SV" in from_language %} selected {% endif %}>Swedish</option>
              <option value="TR" {% if "TR" in from_language %} selected {% endif %}>Turkish</option>
              <option value="UK" {% if "UK" in from_language %} selected {% endif %}>Ukrainian</option>
              <option value="ZH" {% if "ZH" in from_language %} selected {% endif %}>Chinese</option>
            </select>
          </div>
          <div class="select">
            <select id="to-language" name="to-language">
              <option value="BG" {% if "BG" in to_language %} selected {% endif %}>Bulgarian</option>
              <option value="CS" {% if "CS" in to_language %} selected {% endif %}>Czech</option>
              <option value="DA" {% if "DA" in to_language %} selected {% endif %}>Danish</option>
              <option value="DE" {% if "DE" in to_language %} selected {% endif %}>German</option>
              <option value="EL" {% if "EL" in to_language %} selected {% endif %}>Greek</option>
              <option value="ES" {% if "ES" in to_language %} selected {% endif %}>Spanish</option>
              <option value="ET" {% if "ET" in to_language %} selected {% endif %}>Estonian</option>
              <option value="FI" {% if "FI" in to_language %} selected {% endif %}>Finnish</option>
              <option value="FR" {% if "FR" in to_language %} selected {% endif %}>French</option>
              <option value="HU" {% if "HU" in to_language %} selected {% endif %}>Hungarian</option>
              <option value="ID" {% if "ID" in to_language %} selected {% endif %}>Indonesian</option>
              <option value="IT" {% if "IT" in to_language %} selected {% endif %}>Italian</option>
              <option value="JA" {% if "JA" in to_language %} selected {% endif %}>Japanese</option>
              <option value="KO" {% if "KO" in to_language %} selected {% endif %}>Korean</option>
              <option value="LT" {% if "LT" in to_language %} selected {% endif %}>Lithuanian</option>
              <option value="LV" {% if "LV" in to_language %} selected {% endif %}>Latvian</option>
              <option value="NB" {% if "NB" in to_language %} selected {% endif %}>Norwegian (Bokmål)</option>
              <option value="NL" {% if "NL" in to_language %} selected {% endif %}>Dutch</option>
              <option value="PL" {% if "PL" in to_language %} selected {% endif %}>Polish</option>
              <option value="RO" {% if "RO" in to_language %} selected {% endif %}>Romanian</option>
              <option value="RU" {% if "RU" in to_language %} selected {% endif %}>Russian</option>
              <option value="SK" {% if "SK" in to_language %} selected {% endif %}>Slovak</option>
              <option value="SL" {% if "SL" in to_language %} selected {% endif %}>Slovenian</option>
              <option value="SV" {% if "SV" in to_language %} selected {% endif %}>Swedish</option>
              <option value="TR" {% if "TR" in to_language %} selected {% endif %}>Turkish</option>
              <option value="UK" {% if "UK" in to_language %} selected {% endif %}>Ukrainian</option>
              <option value="ZH" {% if "ZH" in to_language %} selected {% endif %}>Chinese</option>
              <option value="PT-BR" {% if "PT-BR" in to_language %} selected {% endif %}>Portuguese (Brazilian)
              <option value="PT-PT" {% if "PT-PT" in to_language %} selected {% endif %}>Portuguese</option>
              <option value="EN-GB" {% if "EN-GB" in to_language %} selected {% endif %}>English (British)</option>
              <option value="EN-US" {% if "EN-US" in to_language %} selected {% endif %}>English (American)</option>
            </select>
          </div>
        </div>
        <div class="form-control">
          <div class="card">
            <textarea class="input" placeholder="Text..." name="translation-text"
              required>{{ translation_text }}</textarea>
          </div>
          <ion-icon name="arrow-forward-outline" class="rotate"></ion-icon>
          <div class="card">
            <textarea class="output" placeholder="Text..." readonly disabled>{{ target_text }}</textarea>
          </div>
        </div>
        <div class="row">
          <button class="submit wk-rp" type="submit">Translate</button>
        </div>
      </div>
    </form>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
  <script src="{% static 'home/js/ripples.js'%}"></script>
</body>

</html>